Skip to main content
Common Reference

List and Set Proxy Configuration

Tungsten proxy configuration is divided into several categories. All categories can be listed using:

GET 'https://127.0.0.1:8096/api/v8/connector/configurations/'

For example:

GET 'https://127.0.0.1:8096/api/v8/connector/configurations/extra'

will return the product version and paths to the key and trust stores, wrapped inside a TungstenPropertiesPayload:

{
"payloadType": "TungstenPropertiesPayload",
"payloadVersion": "1",
"payload": {
"TungstenVersion": "Tungsten Cluster 8.0.4",
"javax.net.ssl.trustStore": "../../tungsten-connector/conf/tungsten_truststore.ts",
"javax.net.ssl.keyStore": "../../tungsten-connector/conf/tungsten_keystore.jks"
}
}

Changing a configuration value is done through a PUT call with the value passed as a JSON payload:

PUT 'https://c1:8096/api/v8/connector/configurations/connector/items/sslCapable' --header 'Content-Type: application/json' --header 'Authorization: ••••••' --data '{
"value" : "true"
}'

It is also possible to list a given configuration variable. The output will be contained in a ConfigurationItemsPayload, which is basically an array of item/current-value strings, for example:

GET /api/v8/connector/configurations/connector/items/useSmartScale
{
"payloadType": "ConfigurationItemsPayload",
"payloadVersion": "1",
"payload": [
{
"item": "useSmartScale",
"currentValue": false
}
]
}

Note that the same call accepts wildcards with the percent (%) sign, escaped as %25. For example, listing all connector timeouts can be done through the call:

GET /api/v8/connector/configurations/connector/items/%25timeout%25
{
"payloadType": "ConfigurationItemsPayload",
"payloadVersion": "1",
"payload": [
{
"item": "bridgeServerToClientForcedCloseTimeout",
"currentValue": 50
},
{
"item": "connectTimeout",
"currentValue": 10
},
{
"item": "connection.close.idle.timeout",
"currentValue": 24999000
},
{
"item": "connection.keepAlive.timeout",
"currentValue": 30000
},
{
"item": "gatewayConnectTimeoutMs",
"currentValue": 5000
},
{
"item": "readCommandRetryTimeoutMs",
"currentValue": 10000
},
{
"item": "server.port.binding.timeout",
"currentValue": 60
},
{
"item": "waitForDisconnectTimeout",
"currentValue": 5
},
{
"item": "waitIfUnavailableTimeout",
"currentValue": 0
}
]
}